## org.Biocorba.Seqcore
Interface _SeqDB_Operations

All Known Implementing Classes:
  SeqDBImpl

public interface _SeqDB_Operations
extends _PrimarySeqDB_Operations

Method Summary
`java.lang.String[]` `get_primaryidList(org.omg.CORBA.portable.ObjectImpl seqDB)`
`Seq` `get_Seq(org.omg.CORBA.portable.ObjectImpl seqDB, java.lang.String primary_id)`

Methods inherited from interface org.Biocorba.Seqcore._PrimarySeqDB_Operations
`database_name, database_version, get_PrimarySeq, make_PrimarySeqIterator`

Methods inherited from interface GNOME._Unknown_Operations
`query_interface, ref, unref`

Method Detail

### get_Seq

    public Seq get_Seq(org.omg.CORBA.portable.ObjectImpl seqDB,
                       java.lang.String primary_id)
                throws UnableToProcess

### get_primaryidList

    public java.lang.String[] get_primaryidList(org.omg.CORBA.portable.ObjectImpl seqDB)